[ 
https://issues.apache.org/jira/browse/ARROW-2355?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16428433#comment-16428433
 ] 

Mitar commented on ARROW-2355:
------------------------------

How do I do a dependency then on PyArrow, so that on Linux and Windows it would 
install 0.9.0, and on Mac OS X 0.9.0.post1? I currently use strict (==) 
versions in my requirements.txt.

> [Python] Unable to import pyarrow [0.9.0] OSX
> ---------------------------------------------
>
>                 Key: ARROW-2355
>                 URL: https://issues.apache.org/jira/browse/ARROW-2355
>             Project: Apache Arrow
>          Issue Type: Bug
>            Reporter: Bradford W Littooy
>            Assignee: Uwe L. Korn
>            Priority: Major
>             Fix For: 0.9.1
>
>
> I have pip installed pyarrow to my mac os x (version 10.13.3). When I try to 
> import pyarrow into a python3.6 interpreter, I get the following import error:
>  
> >>> import pyarrow
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File 
> "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/pyarrow/__init__.py",
>  line 47, in <module>
>     from pyarrow.lib import cpu_count, set_cpu_count
> ImportError: 
> dlopen(/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/pyarrow/lib.cpython-36m-darwin.so,
>  2): Library not loaded: libarrow_boost_system.dylib
>   Referenced from: 
> /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/pyarrow/libarrow.0.dylib
>   Reason: image not found
> >>>
> I've installed pyarrow (0.9) on an EC2 instance with no issue. 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to